Arch: Acoperiș

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Roof and the translation is 40% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Previous: Arch Grid.svg Grid
Next: Space Arch Space.svg Arrow-right.svg

Arch Roof.svg Arch Roof

Menu location
Arch → Roof
Workbenches
Arch
Default shortcut
R F
Introduced in version
-
See also
None

Descriere

Instrumentul Acoperiș vă permite să creați un acoperiș înclinat de la o linie selctată. Obiectul de acoperiș creat este parametric, menținându-și relația cu obiectul de bază. Rețineți că acest instrument este în curs de dezvoltare și ar putea să nu reușească cu forme foarte complexe. Principiul este acela că fiecare margine este văzută alocând un profil de acoperiș (panta, lățimea, lungimea, grosimea ...).

This tool is still in development, and might fail with very complex shapes.

RoofExample.png

RoofExample.png

Cum se folosește

  1. Create a wire with following the counterclockwise direction and select it.
    • CounterclockwiseWire.png
  2. Press the Arch Roof.png Arch Roof button, or press R then F keys
  3. The default roof object could have a strange shape, it's because the tool have not all the needed informations.
  4. After creating the default roof, double click on the object in the tree view to access and edit all the properties. Angle must be between 0 and 90.
    • RoofTable.png
  5. Each line correspond to a roof pane. So you can set properties you want for each roof pane.
  6. To help you, you can set Angle or Run to 0 and defined a Relative Id, this make automatic calculs to find the data relative to the relative Id.
  7. It work like this :
    1. If Angle = 0 and Run = 0 then profile is identical to the relative profile.
    2. If Angle = 0 then angle is calculated so that the height is the same one as the relative profile.
    3. If Run = 0 then Run is calculated so that the height is the same one as the relative profile.
  8. At the end, set an angle to 90° to make a gable.
    • RoofProfil.png
  9. Also you can check this video : https://www.youtube.com/watch?v=4Urwru71dVk

Opţiuni

Proprietăți

  • DATAAngles: Valorea unghiurilor apei/versantului acoperișului (un unghi pentru fiecare margine filamentului).
  • DATARuns: Proiecția orizontală a lungimii apei/versantului acoperișului (o apă/versant pentru fiecare margine a filamentului inițial).
  • DATAIdRel: Relația/raportul Id între unghiul și panta acoperișului
  • DATAThickness: List of thickness of the roof pane. (a thickness for each edge in the wire).
  • DATAOverhang: Proiecția orizontală a streașinei fiecărei ape/versat al acoperișului (o sreașină pentru fiecare margine a filamentului original).
  • DATAFace: Indexul fațetei obiectului de bază de utilizat #Nu este deocamdaă utilizat

Scrip-Programare

Instrumentul Acoperiș poate fi folosit în macros și din consola python utilizând următoarea funcție:

Roof = makeRoof(baseobj=None, facenr=0, angles=[45.,], run=[], idrel=[0,], thickness=[50.,], overhang=[100.,], name="Roof")
Face un acoperiș pe baza unui filament închis. Puteți furniza o listă de unghiuri, run, idrel, grosime, consola pentru fiecare margine a firului pentru a defini forma acoperișului. Valoarea implicită pentru unghi este de 45 și lista este completată automat pentru a se potrivi cu numărul de muchii din fir.

Exempluː

import FreeCAD, Arch, Draft

Rect = Draft.makeRectangle(3000, 4000)
Roof = Arch.makeRoof(Rect, angles=[30.,])
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(0, 2000, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)
Roof2 = Arch.makeRoof(Wire)
FreeCAD.ActiveDocument.recompute()